{ pkgs, ... }:
{
  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true; # Open ports in the firewall for Steam Remote Play
    dedicatedServer.openFirewall = true; # Open ports in the firewall for Source Dedicated Server
  };
  environment.systemPackages = with pkgs; [
    gamemode
    mangohud
    (prismlauncher.override {
      jdks = with pkgs; [
        jdk8
        jdk17
        jdk21
      ];
    })
    lunar-client
    heroic
    protonup-qt
    protontricks
    winetricks
    celeste64
  ];
}
